> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve collection

> Retrieve a configured product collection and its HTML template from the Kameleoon Product Recommendation API.

Service provides access to product collection endpoint.

### HTTP Request

```
GET https://api.products.kameleoon.com/collection/{%collection_id%}
```

<Note>
  You can find the product `collection_id` in the Product Collections section of the dashboard. Your configured collections are listed there along with their ID numbers.
</Note>

### Query Parameters

| Parameter     | Type   | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------- | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `shop_id`     | String | True     | Your Store Key. You can find this in **Recommendations** > **Settings** > **Store settings** in the Kameleoon app. You can also contact your Customer Success Manager for the key.                                                                                                                                                                                                                             |
| `did`         | String | False    | Device ID. You can find this ID in the cookie `KameleoonProducts_device_id`, which you can retrieve from the back-end before calling this endpoint.                                                                                                                                                                                                                                                            |
| `location`    | String | False    | User's location.                                                                                                                                                                                                                                                                                                                                                                                               |
| `external_id` | String | False    | This is a unique identifier associated with a user in your system or CRM. (To ensure accurate matching with Kameleoon VisitorCode, the ID must first be stored as a Kameleoon Custom Data. When setting up this custom data, make sure to enable the option Use this custom data as a unique identifier for cross-device matching to ensure that the ID is used to link user activities across both systems.). |

### API Response

| Name       | Type             | Description                                                                                                                       |
| ---------- | ---------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| `products` | Array of objects | Array with information about products. Each object has the [following properties](#list-of-fields-for-products-array-of-objects). |
| `html`     | String           | The HTML template selected when the collection was created                                                                        |

### List of fields for `products` array of objects

| Property                 | Description                                                                                           |
| ------------------------ | ----------------------------------------------------------------------------------------------------- |
| `name`                   | Product name                                                                                          |
| `url`                    | Full URL to the product page                                                                          |
| `category_ids`           | List of associated category IDs                                                                       |
| `barcode`                | Product barcode or unique identifier                                                                  |
| `vendor_code`            | Vendor or brand code                                                                                  |
| `brand`                  | Brand name                                                                                            |
| `leftovers`              | Indicates stock type (e.g., "lot", "single", etc.)                                                    |
| `rating`                 | Product rating                                                                                        |
| `fashion_feature`        | Fashion feature or target audience (e.g., child, woman)                                               |
| `fashion_wear_type`      | Type of fashion item (e.g., shoe, clothing)                                                           |
| `fashion_original_sizes` | Original available sizes                                                                              |
| `picture`                | Default image URL                                                                                     |
| `categories`             | Product categories (array). Has the [following properties](#list-of-properties-for-categories-array). |
| `price_formatted`        | Product price formatted as a string (e.g., "\$ 70")                                                   |
| `price_full_formatted`   | Full product price formatted as a string (e.g., "\$ 70.00")                                           |
| `price`                  | Product price as a number                                                                             |
| `price_full`             | Full product price as a number                                                                        |
| `image_url`              | Main image URL                                                                                        |
| `image_url_handle`       | Relative path to the main image                                                                       |
| `image_url_resized`      | Object with URLs of resized images by size                                                            |
| `url_handle`             | Relative path to the product page                                                                     |
| `currency`               | Currency symbol (e.g., "\$")                                                                          |
| `_id`                    | Internal unique identifier                                                                            |
| `id`                     | Product ID (often the same as the barcode)                                                            |
| `stock_quantity`         | Available stock quantity                                                                              |
| `fashion_colors`         | Available color(s) for the product                                                                    |
| `params`                 | List of key/value pairs representing product attributes (e.g., size, color)                           |
| `group_id`               | ID of the group the product belongs to                                                                |

### List of properties for `categories` array

| Property     | Description                                            |
| ------------ | ------------------------------------------------------ |
| `id`         | Category ID                                            |
| `parent_id`  | (Optional) ID of the parent category (if applicable)   |
| `url`        | Full URL of the category                               |
| `name`       | Category name                                          |
| `level`      | Category level (e.g., "1" = parent, "2" = subcategory) |
| `url_handle` | Relative URL path to the category                      |
